
declare @uid as varchar(100)
set @uid=(select uid from seg_usuario where id=1)
declare @CER as int
declare @ORIGEN as int
set @CER=(select min(id) from doc_estadoTipoDocumento where  active =1 and estadoTipoDocumento_codigo='CER' and id_tipoDocumento=2)
set @ORIGEN =(select  min(id_estadotipoDocumento) from doc_estadoTipoDocumento_subtipoDocumento where active=1 and  id_estadotipoDocumento_destino=@CER)
if (@CER <>  '' and @ORIGEN <> '' )
begin
INSERT INTO [doc_flujoDocumento]
([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion]
,[active],[flujoDocumento],[flujoDocumento_codigo],[restrictivo],[id_subtipoDocumento_origen]
,[id_subtipoDocumento_destino],[id_estadoTipoDocumento_origen]
,[id_estadoTipoDocumento_resultado],[replicarItems],[replicarAtributos],[replicarItemsActividades])
 (select @uid ,'01',1,1 ,getdate(),getdate(),1 ,'Cerrar '+ [subtipoDocumento],'cerrarOt'
 ,0,[id],5,@ORIGEN,@CER,3,0,1
 from doc_subtipoDocumento where active=1 and id_tipoDocumento=2  
and id not in(select id_subtipoDocumento_origen from doc_flujoDocumento where active=1 and id_subtipoDocumento_destino=5  ))
end


